package com.cool.store.enums;

/**
 * @author Fun Li 2023/12/6 13:48
 * @version 1.0
 */
public enum ExhibitionPartnerStatus {

    REGISTERED(0, "已报名"),
    SIGNED(1, "已签到"),
    APPLIED(2, "已提交意向申请"),
    INTERVIEWING(3, "面试中"),
    INTERVIEWED(4, "面试完成"),
    INTERVIEW_PASS(5, "面试通过"),
    INTERVIEW_REJECT(6, "面试不通过"),
    SIGN_CANCELED(7, "取消报名")
    ;


    private Integer code;

    private String status;

    ExhibitionPartnerStatus(Integer code, String status) {
        this.code = code;
        this.status = status;
    }

    public Integer getCode() {
        return code;
    }

    public String getStatus() {
        return status;
    }
}
